function GameScreen:InitScreen()
    self:LoadScreen()
    
    self.disable = false;
    
    self:FadeOut();
    
    DelayedExec(1.0, function()
        ItemChangeOpacity("logo_hands", 0.0, 1.5)
    end)
    DelayedExec(2.5, function()
        ItemMoveTo("logo_text", 334, 47, 1.0)
    end)
end

function GameScreen:LoadScreen()
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "logo_back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
    ItemSetOpacity("logo_back_trigger", 0.5)
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "logo_text", "graphics/interface/menu/logo_text", 334, 684);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "logo_hands", "graphics/interface/menu/logo_hands", 534, 51);
end
